Bug 269130 - [newcodemodel] AssertionError: Cannot modify const object!
[newcodemodel] AssertionError: Cannot modify const object!
Status: VERIFIED FIXED
Product: cnd
Classification: Unclassified
Component: Code Model
Dev
All All
: P2 (vote)
: 8.2
Assigned To: Vladimir Voskresensky
issues@cnd
EXCEPTIONS_REPORT, 82patch1-verified
:
Depends on: 268970
Blocks:
  Show dependency treegraph
 
Reported: 2016-11-26 16:09 UTC by tbrunhoff
Modified: 2016-12-12 09:11 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments
stacktrace (3.95 KB, text/plain)
2016-11-26 16:09 UTC, tbrunhoff
Details

Note You need to log in before you can comment on or make changes to this bug.
Description tbrunhoff 2016-11-26 16:09:20 UTC
Build: NetBeans IDE Dev (Build 201610100002)
VM: Java HotSpot(TM) 64-Bit Server VM, 25.45-b02, Java(TM) SE Runtime Environment, 1.8.0_45-b14
OS: Linux

User Comments:
tbrunhoff: starting a debug session.




Stacktrace: 
java.lang.AssertionError: Cannot modify const object!
   at org.clank.support.AbstractArrayPointerType.$preInc(AbstractArrayPointerType.java:51)
   at org.clank.support.AbstractArrayPointerType.$preInc(AbstractArrayPointerType.java:18)
   at org.clang.lex.Lexer.IsStartOfConflictMarker(Lexer.java:4690)
   at org.clang.lex.Lexer.LexTokenInternal(Lexer.java:2651)
   at org.clang.lex.Lexer.Lex(Lexer.java:377)
   at org.clang.lex.Preprocessor.Lex(Preprocessor.java:3521)
Comment 1 tbrunhoff 2016-11-26 16:09:22 UTC
Created attachment 163034 [details]
stacktrace
Comment 2 Vladimir Voskresensky 2016-11-28 12:04:21 UTC
it was fixed as https://hg.kenai.com/hg/sputnik~main/rev/009ce16eb14c.
Will be part of the next libs.clank update
Comment 3 Quality Engineering 2016-12-03 03:04:14 UTC
Integrated into 'main-silver', will be available in build *201612030001* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)

Changeset: http://hg.netbeans.org/main-silver/rev/25844de6e2c3
User: Vladimir Voskresensky <vv159170@netbeans.org>
Log: fixing #268970 - [newcodemodel] Fix Clank 3.9 upgrade
(also includes fix for #269130 - [newcodemodel] AssertionError: Cannot modify const object! )
(transplanted from 6e1b3037918da2f0f6bd95f880a2c351522eff04)
Comment 4 Vladimir Voskresensky 2016-12-10 10:40:35 UTC
v.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo